View Issue Details

IDProjectCategoryView StatusLast Update
13745Bug reports[All Projects] Survey designpublic2018-10-24 16:01
ReporterDenisChenu Assigned Todominikvitt  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.8.x 
Target VersionFixed in Version3.15.x 
Summary13745: Owner of survey can not update Template settings for his survey
Description

Owner of survey can not update Template settings for his survey
The Survey menu shown but when click receive a js alert : «Nous sommes désolés, mais vous n’avez pas la permission de faire cela.»

Steps To Reproduce

Create a template , set it to default (extend Bootsrap for example)
Create an user and give him global/survey create permission
Give him read rights on the default template (read mean : allowed to use it in Survey)
Connect with this user, create a survey, click on Edit theme option

Additional Information

I think Survey theme option must test Survey settings update (+ this template read for allow using)
(there a second issue about menu, i report it in 5 minutes)

PS : when see the Survey Theme option, i really think it's the solution to have one template for a lot of survey, but if need to give whole template permission to all user : it's really a pity.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.9.0
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Activities

LouisGac

LouisGac

2018-06-08 16:19

manager   ~48034

yeah right, we need new permissions for theme options

DenisChenu

DenisChenu

2018-06-26 17:07

developer   ~48301

@LouiGac : you mean new "SurveyBasePermission" just related to option ? https://github.com/LimeSurvey/LimeSurvey/blob/2f61006b0cd75d2afd7c8dafe81fe663346c2942/application/models/Permission.php#L66

Adding a permission is easy (just add it …) but the issue here : we are in template controller, not in survey (or surveytemplate) controller.

template controller test template permission, not survey permission : can be done, but think it's a bad idea.

markusfluer

markusfluer

2018-09-26 15:42

administrator   ~49143

Last edited: 2018-09-26 15:42

View 3 revisions

This should be fixed by Commit #14b3bd3d1e9b9d88e4eb4d3970730117fb6e8333
https://github.com/LimeSurvey/LimeSurvey/commit/14b3bd3d1e9b9d88e4eb4d3970730117fb6e8333

Issue History

Date Modified Username Field Change
2018-06-07 15:32 DenisChenu New Issue
2018-06-07 15:32 DenisChenu Status new => assigned
2018-06-07 15:32 DenisChenu Assigned To => LouisGac
2018-06-07 15:39 DenisChenu Additional Information Updated View Revisions
2018-06-08 16:19 LouisGac Note Added: 48034
2018-06-18 13:26 LouisGac Assigned To LouisGac => dominikvitt
2018-06-26 17:07 DenisChenu Note Added: 48301
2018-09-26 15:42 markusfluer Note Added: 49143
2018-09-26 15:42 markusfluer Note Edited: 49143 View Revisions
2018-09-26 15:42 markusfluer Note Edited: 49143 View Revisions
2018-09-26 15:43 markusfluer Status assigned => resolved
2018-09-26 15:43 markusfluer Resolution open => fixed
2018-09-26 15:43 markusfluer Fixed in Version => 3.14.x
2018-10-24 16:01 DenisChenu Status resolved => closed
2018-10-24 16:01 DenisChenu Fixed in Version 3.14.x => 3.15.x